<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
if ($ya['level'] > 5) {
switch($mode) {
//Изменяем раздел
case 'ren':
$sq = $db -> query("SELECT * FROM `status` where `id`='$id'");
if ($sq -> num_rows > 0) {
$fo = $sq -> fetch_assoc();
if (!isset($_POST['name']) || !isset($_POST['ball']) || !isset($_POST['dball'])){
$diz -> head('Управление статусами');
$diz -> title('Изменяем статус');
$msg = '<div class="fon">Введите название:
<form action="status.php?mode=ren&amp;id='.$id.'" method="post"><div>
<input type="text" name="name" value="'.$fo['name'].'" maxlength="60"/><br/>
Необходимое количество баллов:</br>
от <input type="text" name="ball" value="'.$fo['ball'].'" maxlength="6"/><br/>
до <input type="text" name="dball" value="'.$fo['dball'].'" maxlength="6"/><br/>
<input type="submit" value="Изменить"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="status.php">Управление статусами</a>';
$msg .= '<br/>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$b = (!empty($_POST['ball'])) ? abs((int)$_POST['ball']) : null;
$d = (!empty($_POST['dball'])) ? abs((int)$_POST['dball']) : null;
$db -> query("UPDATE `status` SET `name` = '".$name."',`ball`='".$b."',`dball`='".$d."' WHERE `id` = '".$id."' LIMIT 1");
$diz -> head('Управление статусами');
$diz -> title('Изменяем статус');
$msg .= '<div class="fon">Статус был успешно изменен!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="status.php">Управление статусами</a>';
$msg .= '<br/>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('location: status.php');
break;
////Добавляем статус
case 'crrazd':
if (empty($_POST['name']) || empty($_POST['ball']) || empty($_POST['dball'])) {
$diz -> head('Управление статусами');
$diz -> title('Добавляем статус');
$msg = '<div class="fon">Введите название:
<form action="status.php?mode=crrazd" method="post"><div>
<input type="text" name="name" maxlength="60"/><br/>
Минимальное количество баллов:
</br>
от <input type="text" name="ball" maxlength="6"/><br/>
до <input type="text" name="dball" maxlength="6"/><br/>
<input type="submit" value="Добавить"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="status.php">Управление статусами</a>';
$msg .= '<br/>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$b = abs((int)$_POST['ball']);
$d= abs((int)$_POST['dball']);
$raz = $db -> query("SELECT * FROM `status` WHERE `name`='".$name."' LIMIT 1");
if ($raz -> num_rows > 0) {
     $diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg .= '<div class="fon">Статус с данным именем уже существует!</div>';
     header('refresh: 3; url=status.php?mode=crrazd');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}else{
$db -> query("INSERT INTO `status` SET `name`='".$name."',`ball` = '".$b."',`dball` = '".$d."',`time`=".time()."");
$diz -> head('Управление статусами');
$diz -> title('Добавляем статус');
$msg .= '<div class="fon">Статус <b>'.$name.'</b> был успешно добавлен!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="status.php">Управление статусами</a>';
$msg .= '<br/>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
}
break;
////////////Удаление статуса
case 'del':
if ($ya['level'] > 5) {
$sql = $db -> query("SELECT * FROM `status` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
switch($do) {
case 'yes':
$db -> query("DELETE FROM `status` where `id` = '".$id."'");
$diz -> head('Удаление статуса');
$diz -> title('Удаление статуса');
$msg .= '<div class="fon">Статус был успешно удалён!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="status.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;

default:
$diz -> head('Удаление статуса');
$diz -> title('Удаление статуса');
$msg .= '<div class="fon">Вы уверены,что хотите удалить данный статус?';
$msg .= '<br/><a href="./status.php?mode=del&amp;do=yes&amp;id='.$id.'">Да</a> | ';
$msg .= '<a href="./status.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);}
} else header('Location: ./status.php');
} else header('Location: ./status.php');
break;
//////////////////////////////////////////////////////
default:
$diz -> head('Управление статусами');
$diz -> title('Управление статусами');
$sql1 = $db -> query("SELECT * FROM `status` ORDER BY `ball` ASC");
while ($forum = $sql1 -> fetch_assoc()) {
$msg .= '<div class="spisok">'.$diz -> img('status.png').' '.$forum['name'].' (от '.$forum['ball'].' до '.$forum['dball'].' баллов)</br>';
$msg .='<a href="?mode=ren&amp;id='.$forum['id'].'">Редактировать</a>';
$msg .=' | <a href="status.php?mode=del&amp;id='.$forum['id'].'">Удалить</a></div>';}
$msg .= '<div class="tochechki"><a href="status.php?mode=crrazd">Добавить статус</a></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('location: index.php');
} else header('location: index.php');
?>